"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.orgRepoUrls = void 0;
const rest_1 = require("@octokit/rest");
const octokit = new rest_1.Octokit({
    auth: process.env.GITHUB_ACCESS_TOKEN,
});
exports.orgRepoUrls = async (ctx, org) => {
    ctx.log.info(`listing repositories for https://github.com/${org}`);
    return octokit
        .paginate(octokit.repos.listForOrg, {
        org,
    })
        .then((data) => data.map((repo) => {
        ctx.log.debug(`found repo ${repo.url}`);
        return repo.clone_url;
    }))
        .catch((e) => {
        ctx.log.error(e);
        throw e;
    });
};
